JUCE: MidiKeyboardStateListener Class Reference

JUCE

Public Member Functions | List of all members
MidiKeyboardStateListener Class Referenceabstract

Receives events from a MidiKeyboardState object. More...

Inheritance diagram for MidiKeyboardStateListener:

## Public Member Functions
| MidiKeyboardStateListener ()=default
virtual | ~MidiKeyboardStateListener ()=default
virtual void | handleNoteOn (MidiKeyboardState *source, int midiChannel, int midiNoteNumber, float velocity)=0
| Called when one of the MidiKeyboardState's keys is pressed. More...
virtual void | handleNoteOff (MidiKeyboardState *source, int midiChannel, int midiNoteNumber, float velocity)=0
| Called when one of the MidiKeyboardState's keys is released. More...

## Detailed Description

Receives events from a MidiKeyboardState object.

See also
  MidiKeyboardState

## Constructor & Destructor Documentation

## ◆ MidiKeyboardStateListener()

MidiKeyboardStateListener::MidiKeyboardStateListener | ( |  | ) |
| default

## ◆ ~MidiKeyboardStateListener()

virtual MidiKeyboardStateListener::~MidiKeyboardStateListener | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ handleNoteOn()

virtual void MidiKeyboardStateListener::handleNoteOn | ( | MidiKeyboardState * | source,
|  | int | midiChannel,
|  | int | midiNoteNumber,
|  | float | velocity
| ) |  |
| pure virtual

Called when one of the MidiKeyboardState's keys is pressed.

This will be called synchronously when the state is either processing a buffer in its MidiKeyboardState::processNextMidiBuffer() method, or when a note is being played with its MidiKeyboardState::noteOn() method.

Note that this callback could happen from an audio callback thread, so be careful not to block, and avoid any UI activity in the callback.

Implemented in MidiKeyboardComponent, and MidiMessageCollector.

## ◆ handleNoteOff()

virtual void MidiKeyboardStateListener::handleNoteOff | ( | MidiKeyboardState * | source,
|  | int | midiChannel,
|  | int | midiNoteNumber,
|  | float | velocity
| ) |  |
| pure virtual

Called when one of the MidiKeyboardState's keys is released.

This will be called synchronously when the state is either processing a buffer in its MidiKeyboardState::processNextMidiBuffer() method, or when a note is being played with its MidiKeyboardState::noteOff() method.

Note that this callback could happen from an audio callback thread, so be careful not to block, and avoid any UI activity in the callback.

Implemented in MidiKeyboardComponent, and MidiMessageCollector.

The documentation for this class was generated from the following file:

- juce_MidiKeyboardState.h